[Bug 6943] linux-kernel-header: O_NOATIME needed for lvm
bugzilla-daemon at bugzilla.ubuntu.com
bugzilla-daemon at bugzilla.ubuntu.com
Sat Feb 26 18:30:53 UTC 2005
Please do not reply to this email. You can add comments at
http://bugzilla.ubuntu.com/show_bug.cgi?id=6943
Ubuntu | linux-kernel-headers
------- Additional Comments From debzilla at ubuntu.com 2005-02-26 18:30 UTC -------
Message-ID: <20050226175231.GA22810 at wavehammer.waldi.eu.org>
Date: Sat, 26 Feb 2005 18:52:31 +0100
From: Bastian Blank <waldi at debian.org>
To: 297010 at bugs.debian.org
Cc: control at bugs.debian.org
Subject: Re: Bug#297010: libc6-dev - O_NOATIME needed for lvm
--nVMJ2NtxeReIH9PS
Content-Type: multipart/mixed; boundary="SUOF0GtieIMvvwua"
Content-Disposition: inline
--SUOF0GtieIMvvwua
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
tags 297010 patch
thanks
The attached patch adds the upstream patch for bug 341.
Bastian
--SUOF0GtieIMvvwua
Content-Type: text/plain; charset=utf-8
Content-Description: diff
Content-Disposition: attachment; filename=diff
Content-Transfer-Encoding: quoted-printable
Index: debian/patches/00list
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- debian/patches/00list (revision 853)
+++ debian/patches/00list (working copy)
@@ -116,3 +116,4 @@
s390-pthread-fpic
nptl-pthread-c++
hppa-drop-utimes
+linux-O_NOATIME
Index: debian/patches/linux-O_NOATIME.dpatch
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- debian/patches/linux-O_NOATIME.dpatch (revision 0)
+++ debian/patches/linux-O_NOATIME.dpatch (revision 0)
@@ -0,0 +1,209 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Support O_NOATIME on linux
+# DP: Related bugs: #297010
+# DP: Dpatch author: Bastian Blank
+# DP: Patch author: Andreas Jaeger
+# DP: Upstream status: Applied to fix upstream bug 341.
+# DP: Date: 2005-02-26
+
+PATCHLEVEL=3D1
+
+if [ $# -ne 2 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+ -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < =
$0;;
+ *) =20
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argumen=
t"
+ exit 1
+esac
+exit 0
+
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/alpha/bits/fcntl.h,v
+retrieving revision 1.17
+retrieving revision 1.18
+diff -u -r1.17 -r1.18
+--- libc/sysdeps/unix/sysv/linux/alpha/bits/fcntl.h 2004/05/03 21:39:38 1.=
17
++++ libc/sysdeps/unix/sysv/linux/alpha/bits/fcntl.h 2004/08/23 07:28:43 1.=
18
+@@ -47,6 +47,7 @@
+ # define O_DIRECT 040000 /* Direct disk access. */
+ # define O_DIRECTORY 0100000 /* Must be a directory. */
+ # define O_NOFOLLOW 0200000 /* Do not follow links. */
++# define O_NOATIME 04000000 /* Do not set atime. */
+ #endif
+=20
+ #ifdef __USE_LARGEFILE64
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/arm/bits/fcntl.h,v
+retrieving revision 1.7
+retrieving revision 1.8
+diff -u -r1.7 -r1.8
+--- libc/sysdeps/unix/sysv/linux/arm/bits/fcntl.h 2004/05/03 21:39:39 1.7
++++ libc/sysdeps/unix/sysv/linux/arm/bits/fcntl.h 2004/08/23 07:28:44 1.8
+@@ -45,6 +45,7 @@
+ # define O_DIRECTORY 040000 /* Must be a directory. */
+ # define O_NOFOLLOW 0100000 /* Do not follow links. */
+ # define O_DIRECT 0200000 /* Direct disk access. */
++# define O_NOATIME 01000000 /* Do not set atime. */
+ #endif
+=20
+ #ifdef __USE_LARGEFILE64
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/hppa/bits/fcntl.h,v
+retrieving revision 1.6
+retrieving revision 1.7
+diff -u -r1.6 -r1.7
+--- libc/sysdeps/unix/sysv/linux/hppa/bits/fcntl.h 2004/05/03 21:39:39 1.6
++++ libc/sysdeps/unix/sysv/linux/hppa/bits/fcntl.h 2004/08/23 07:28:44 1.7
+@@ -47,6 +47,7 @@
+ # define O_DIRECT 00040000 /* direct disk access hint - currently ignored=
*/
+ # define O_DIRECTORY 00010000 /* must be a directory */
+ # define O_NOFOLLOW 00000200 /* don't follow links */
++# define O_NOATIME 04000000 /* Do not set atime. */
+ #endif
+=20
+ #ifdef __USE_LARGEFILE64
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/i386/bits/fcntl.h,v
+retrieving revision 1.12
+retrieving revision 1.13
+diff -u -r1.12 -r1.13
+--- libc/sysdeps/unix/sysv/linux/i386/bits/fcntl.h 2004/05/03 21:39:38 1.12
++++ libc/sysdeps/unix/sysv/linux/i386/bits/fcntl.h 2004/08/23 07:28:44 1.13
+@@ -46,6 +46,7 @@
+ # define O_DIRECT 040000 /* Direct disk access. */
+ # define O_DIRECTORY 0200000 /* Must be a directory. */
+ # define O_NOFOLLOW 0400000 /* Do not follow links. */
++# define O_NOATIME 01000000 /* Do not set atime. */
+ #endif
+=20
+ /* For now Linux has synchronisity options for data and read operations.
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/ia64/bits/fcntl.h,v
+retrieving revision 1.7
+retrieving revision 1.8
+diff -u -r1.7 -r1.8
+--- libc/sysdeps/unix/sysv/linux/ia64/bits/fcntl.h 2004/05/03 21:39:39 1.7
++++ libc/sysdeps/unix/sysv/linux/ia64/bits/fcntl.h 2004/08/23 07:28:44 1.8
+@@ -43,8 +43,9 @@
+ #define O_DIRECT 040000
+=20
+ #ifdef __USE_GNU
+-#define O_DIRECTORY 0200000 /* must be a directory */
+-#define O_NOFOLLOW 0400000 /* don't follow links */
++# define O_DIRECTORY 0200000 /* must be a directory */
++# define O_NOFOLLOW 0400000 /* don't follow links */
++# define O_NOATIME 01000000 /* Do not set atime. */
+ #endif
+=20
+ #ifdef __USE_LARGEFILE64
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/m68k/bits/fcntl.h,v
+retrieving revision 1.6
+retrieving revision 1.7
+diff -u -r1.6 -r1.7
+--- libc/sysdeps/unix/sysv/linux/m68k/bits/fcntl.h 2004/05/03 21:39:39 1.6
++++ libc/sysdeps/unix/sysv/linux/m68k/bits/fcntl.h 2004/08/23 07:28:45 1.7
+@@ -45,6 +45,7 @@
+ # define O_DIRECTORY 040000 /* Must be a directory. */
+ # define O_NOFOLLOW 0100000 /* Do not follow links. */
+ # define O_DIRECT 0200000 /* Direct disk access. */
++# define O_NOATIME 01000000 /* Do not set atime. */
+ #endif
+=20
+ /* For now Linux has synchronisity options for data and read operations.
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/mips/bits/fcntl.h,v
+retrieving revision 1.19
+retrieving revision 1.20
+diff -u -r1.19 -r1.20
+--- libc/sysdeps/unix/sysv/linux/mips/bits/fcntl.h 2004/07/20 16:35:29 1.19
++++ libc/sysdeps/unix/sysv/linux/mips/bits/fcntl.h 2004/08/23 07:28:45 1.20
+@@ -49,6 +49,7 @@
+ # define O_NOFOLLOW 0x20000 /* Do not follow links. */
+ # define O_DIRECT 0x8000 /* Direct disk access hint. */
+ # define O_DIRECTORY 0x10000 /* Must be a directory. */
++# define O_NOATIME 0x40000 /* Do not set atime. */
+ #endif
+=20
+ #define O_NDELAY O_NONBLOCK
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/powerpc/bits/fcntl.h,v
+retrieving revision 1.11
+retrieving revision 1.12
+diff -u -r1.11 -r1.12
+--- libc/sysdeps/unix/sysv/linux/powerpc/bits/fcntl.h 2004/05/03 21:39:38 =
1.11
++++ libc/sysdeps/unix/sysv/linux/powerpc/bits/fcntl.h 2004/08/23 07:28:45 =
1.12
+@@ -46,6 +46,7 @@
+ # define O_DIRECT 0400000 /* Direct disk access. */
+ # define O_DIRECTORY 040000 /* Must be a directory. */
+ # define O_NOFOLLOW 0100000 /* Do not follow links. */
++# define O_NOATIME 01000000 /* Do not set atime. */
+ #endif
+=20
+ #ifdef __USE_LARGEFILE64
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/s390/bits/fcntl.h,v
+retrieving revision 1.8
+retrieving revision 1.9
+diff -u -r1.8 -r1.9
+--- libc/sysdeps/unix/sysv/linux/s390/bits/fcntl.h 2004/05/03 21:39:38 1.8
++++ libc/sysdeps/unix/sysv/linux/s390/bits/fcntl.h 2004/08/23 07:28:45 1.9
+@@ -45,6 +45,7 @@
+ # define O_DIRECT 040000 /* Direct disk access. */
+ # define O_DIRECTORY 0200000 /* Must be a directory. */
+ # define O_NOFOLLOW 0400000 /* Do not follow links. */
++# define O_NOATIME 01000000 /* Do not set atime. */
+ #endif
+=20
+ #ifdef __USE_LARGEFILE64
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/sh/bits/fcntl.h,v
+retrieving revision 1.4
+retrieving revision 1.5
+diff -u -r1.4 -r1.5
+--- libc/sysdeps/unix/sysv/linux/sh/bits/fcntl.h 2004/05/03 21:39:38 1.4
++++ libc/sysdeps/unix/sysv/linux/sh/bits/fcntl.h 2004/08/23 07:28:45 1.5
+@@ -46,6 +46,7 @@
+ # define O_DIRECT 040000 /* Direct disk access. */
+ # define O_DIRECTORY 0200000 /* Must be a directory. */
+ # define O_NOFOLLOW 0400000 /* Do not follow links. */
++# define O_NOATIME 01000000 /* Do not set atime. */
+ #endif
+=20
+ /* For now Linux has synchronisity options for data and read operations.
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/sparc/bits/fcntl.h,v
+retrieving revision 1.21
+retrieving revision 1.22
+diff -u -r1.21 -r1.22
+--- libc/sysdeps/unix/sysv/linux/sparc/bits/fcntl.h 2004/05/03 21:39:38 1.=
21
++++ libc/sysdeps/unix/sysv/linux/sparc/bits/fcntl.h 2004/08/23 07:28:46 1.=
22
+@@ -45,6 +45,7 @@
+ # define O_DIRECTORY 0x10000 /* must be a directory */
+ # define O_NOFOLLOW 0x20000 /* don't follow links */
+ # define O_DIRECT 0x100000 /* direct disk access hint */
++# define O_NOATIME 0x200000 /* Do not set atime. */
+ #endif
+=20
+ #ifdef __USE_LARGEFILE64
+=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
+RCS file: /cvs/glibc/libc/sysdeps/unix/sysv/linux/x86_64/bits/fcntl.h,v
+retrieving revision 1.5
+retrieving revision 1.6
+diff -u -r1.5 -r1.6
+--- libc/sysdeps/unix/sysv/linux/x86_64/bits/fcntl.h 2004/06/27 20:47:52 1=
=2E5
++++ libc/sysdeps/unix/sysv/linux/x86_64/bits/fcntl.h 2004/08/23 07:28:46 1=
=2E6
+@@ -46,6 +46,7 @@
+ # define O_DIRECT 040000 /* Direct disk access. */
+ # define O_DIRECTORY 0200000 /* Must be a directory. */
+ # define O_NOFOLLOW 0400000 /* Do not follow links. */
++# define O_NOATIME 01000000 /* Do not set atime. */
+ #endif
+=20
+ /* For now Linux has synchronisity options for data and read operations.
Property changes on: debian/patches/linux-O_NOATIME.dpatch
___________________________________________________________________
Name: svn:executable
+ *
Index: debian/changelog
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- debian/changelog (revision 853)
+++ debian/changelog (working copy)
@@ -1,3 +1,11 @@
+glibc (2.3.2.ds1-21.unreleased.1) UNRELEASED; urgency=3Dlow
+
+ * Bastian Blank <waldi at debian.org>
+
+ - Support O_NOATIME on linux.
+
+ -- Bastian Blank <waldi at debian.org> Sat, 26 Feb 2005 16:18:47 +0100
+
glibc (2.3.2.ds1-21) unstable; urgency=3Dlow
=20
* GOTO Masanori <gotom at debian.org>
--SUOF0GtieIMvvwua--
--nVMJ2NtxeReIH9PS
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)
iEYEARECAAYFAkIgt14ACgkQnw66O/MvCNFTsACdH3ht+VA0W7ZsD6x8mzNnnR8Q
T7IAnjUsL0EcWJB3o6T5ro13HPN1FhG9
=zLPt
-----END PGP SIGNATURE-----
--nVMJ2NtxeReIH9PS--
--
Configure bugmail: http://bugzilla.ubuntu.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.
More information about the kernel-team
mailing list